Bug 171688 - Package Mangement program needs improvements for ease of use
Package Mangement program needs improvements for ease of use
Product: Fedora
Classification: Fedora
Component: system-config-packages (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
: FutureFeature
: 171691 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2005-10-25 06:27 EDT by Matthew
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-04-21 21:24:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Matthew 2005-10-25 06:27:43 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.6) Gecko/20050225 Firefox/1.0.1

Description of problem:
With the current version of Fedora Core 4, the graphical packagement management utility does not have ability to search through the many different package names listed in both the 'Standard Packages' and 'Extra Packages'. Can it be simply be redesigned the whole program so you can have the ability filter and/or sort the packages based on different criteria:-
    - What's Installed and What's Not.
    - Sort Filesizes from smallest to largest and vice versa.
    - Based on specific categories such as 'Web Server' or 'Games and  Entertainment'.
    - sort packages filenames alphabetically either from A to Z or from Z to A.

Also optionally would it be possible to list the current versions of all the packages (or the selected ones) and have the Update Manager program check for newer versions and then display both the currently installed version number and the newer version that's available from the internet. Providing the ability to download and install to the latest versions would also help as well.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1a. For Knoppix shell, select the Redhat Menu, then select 'Server Settings' then 'Add/Remove Applications'.
1b. For Gnome shell, select the 'Desktop' menu from the top, then select 'Server Settings' and then 'Add/Remove Applications'.

Additional info:
Comment 1 Jeremy Katz 2005-10-26 12:11:00 EDT
*** Bug 171691 has been marked as a duplicate of this bug. ***
Comment 2 John Thacker 2006-04-21 21:24:56 EDT
pirut replaced system-config-packages, and has some of these changes, like
searching.  Closing bug.  Refile against pirut if you have suggestions, I suppose.

Note You need to log in before you can comment on or make changes to this bug.